/*Program to control LED (ON/OFF) from ESP32 using Serial Bluetooth
 * Thanks to Neil Kolbans for his efoorts in adding the support to Arduino IDE
 * Turotial on: www.circuitdigest.com 
 */

#include "BluetoothSerial.h" //Header File for Serial Bluetooth, will be added by default into Arduino
#include <LiquidCrystal_I2C.h>
#include <Wire.h>
BluetoothSerial ESP_BT; //Object for Bluetooth
LiquidCrystal_I2C lcd(0x27,20,4);
int incoming;
int LED_BUILTIN = 13;

void setup() {
  //Serial.begin(9600); //Start Serial monitor in 9600
  ESP_BT.begin("ESP32_LED_Control"); //Name of your Bluetooth Signal
  //Serial.println("Bluetooth Device is Ready to Pair");
  pinMode (LED_BUILTIN, OUTPUT);//Specify that LED pin is output
  delay(10);
  lcd.init();
  lcd.setBacklight(HIGH);
  lcd.setCursor(0, 0);                     
  lcd.print("* Bluetooth LED *");
  lcd.setCursor(0,1);
  lcd.print("Ready to Pair");
}

void loop() {
  
  if (ESP_BT.available()) //Check if we receive anything from Bluetooth
  {
    incoming = ESP_BT.read(); //Read what we recevive 
    Serial.print("Received:"); Serial.println(incoming);

    if (incoming == 49)
        {
        digitalWrite(LED_BUILTIN, HIGH);
        ESP_BT.println("LED turned ON");
        lcd.setCursor(0, 3);
        lcd.print(" LED = ON ");
        }
        
    if (incoming == 48)
        {
        digitalWrite(LED_BUILTIN, LOW);
        ESP_BT.println("LED turned OFF");
        lcd.setCursor(0, 3);
        lcd.print(" LED = OFF");
        }     
  }
  delay(20);
}
