#include <WiFi.h>
#include <Wire.h>
#include <LiquidCrystal_I2C.h>

const char* ssid = "++++++++++"; //ご自分のルーターのSSIDに書き換えてください。
const char* password = "++++++++++"; //ご自分のルーターのパスワードに書き換えてください。
LiquidCrystal_I2C lcd(0x27,20,4);
WiFiServer server(80);
 
void setup()
{
    delay(1000);
    Serial.begin(115200);
    pinMode(13, OUTPUT);      // set the LED pin mode
 
    delay(10);
    lcd.init();
    lcd.setBacklight(HIGH);
    lcd.setCursor(0, 0);                     
    lcd.print(" *** WiFi LED ***");
    Serial.println();
    Serial.println();
    Serial.print("Connecting to ");
    Serial.println(ssid);

    WiFi.begin(ssid, password);
    WiFi.mode(WIFI_STA);                 // 無線LANをSTAモードに設定
    while (WiFi.status() != WL_CONNECTED) {
        delay(500);
        Serial.print(".");
    }
 
    Serial.println("");
    Serial.println("WiFi connected");
    Serial.println("IP address: ");
    Serial.println(WiFi.localIP());

    lcd.setCursor(0, 1);
    lcd.print(" IP: ");
    lcd.setCursor(5, 1);
    lcd.print(WiFi.localIP());             // 本機のIPアドレスを液晶に表示
   
    server.begin();
 
}
 
void loop(){
 WiFiClient client = server.available();
 
  if (client) {
    Serial.println("new client");
    String currentLine = "";
    while (client.connected()) {
      if (client.available()) {
        char c = client.read();
        Serial.write(c);
        if (c == '\n') {
          if (currentLine.length() == 0) {
            client.println("HTTP/1.1 200 OK");
            client.println("Content-type:text/html");
            client.println();
 
            client.println("<!DOCTYPE html>");
            client.println("<html>");
            client.println("<head>");
            client.println("<meta name='viewport' content='initial-scale=1.5'>");
            client.println("</head>");
            client.println("<body>");
            client.println("<form method='get'>");
            client.println("<font size='4'>ESP-WROOM-32<br>");
            client.println("Wi-Fi  LED  Switch</font><br>");
            client.println("<br>");
            client.println("<input type='submit' name=0 value='ON' style='background-color:#88ff88; color:red;'>");
            client.println("<input type='submit' name=1 value='OFF' style='background-color:black; color:white;'>");
            client.println("</form>");
            client.println("</body>");
            client.println("</html>");
 
            client.println();
            break;
          } else {
            currentLine = "";
          }
        } else if (c != '\r') {
          currentLine += c;
        }
 
        if (currentLine.endsWith("GET /?0=ON")) {
          digitalWrite(13, HIGH);
          lcd.setCursor(0, 3);
          lcd.print(" LED = ON ");
          
        }
        if (currentLine.endsWith("GET /?1=OFF")) {
          digitalWrite(13, LOW);
          lcd.setCursor(0, 3);
          lcd.print(" LED = OFF");
        }
      }
    }
     
    client.stop();
    Serial.println("client disonnected");
  }
}
